> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Tokens (paginated)

> Returns the tokens (amount and details) held by a specified account identifier and chain ID. This endpoint allows for pagination over the returned tokens.



## OpenAPI

````yaml openapi.json get /api/{chainId}/account/{accountId}/state/tokens
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/account/{accountId}/state/tokens:
    get:
      tags:
        - Account
      summary: Get Account Tokens (paginated)
      description: >-
        Returns the tokens (amount and details) held by a specified account
        identifier and chain ID. This endpoint allows for pagination over the
        returned tokens.
      parameters:
        - in: path
          name: chainId
          schema:
            type: string
            enum:
              - algorand
              - cosmoshub
              - cosmoshub-testnet
              - osmosis
              - osmosis-testnet
              - celestia
              - celestia-testnet
              - dydx
              - axelar
              - ethereum
              - sepolia
              - holesky
              - base
              - base-sepolia
              - optimism
              - optimism-sepolia
              - arbitrum
              - arbitrum-sepolia
              - polygon
              - polygon-amoy
              - bsc
              - bsc-testnet
              - linea
              - linea-sepolia
              - avalanche
              - avalanche-fuji
              - gnosis
              - gnosis-chiado
              - moonbeam
              - moonriver
              - moonbase
              - fantom
              - ton
              - injective
              - akash
              - band
              - dymension
              - kyve
              - neutron
              - terra2
              - stargaze
              - tron
              - evmos
              - irisnet
              - juno
              - lum-network
              - omniflix
              - sei
              - medibloc
              - passage
              - quasar
              - seda
              - sommelier
              - shentu
              - stride
              - chihuahua
              - bitsong
              - persistence
              - comdex
              - fetch-ai
              - humans-ai
              - ki
              - likecoin
              - mars-hub
              - provenance
              - quicksilver
              - saga
              - ux-chain
              - kava
              - starknet
              - babylon
              - babylon-testnet
              - monad-testnet
              - cronos
              - world-chain
          required: true
        - in: path
          name: accountId
          description: Account identifier (address, xpub, etc) for the specified chain ID
          schema:
            type: string
            description: Account identifier (address, xpub, etc) for the specified chain ID
          required: true
        - in: query
          name: nextPage
          description: >-
            Token from the previous response of this endpoint. Provide it here
            to fetch the next page of results.
          schema:
            type: string
            description: >-
              Token from the previous response of this endpoint. Provide it here
              to fetch the next page of results.
      responses:
        '200':
          description: >-
            Returns the current tokens information for the specified address and
            chain ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chainId:
                    type: string
                    enum:
                      - algorand
                      - cosmoshub
                      - cosmoshub-testnet
                      - osmosis
                      - osmosis-testnet
                      - celestia
                      - celestia-testnet
                      - dydx
                      - axelar
                      - ethereum
                      - sepolia
                      - holesky
                      - base
                      - base-sepolia
                      - optimism
                      - optimism-sepolia
                      - arbitrum
                      - arbitrum-sepolia
                      - polygon
                      - polygon-amoy
                      - bsc
                      - bsc-testnet
                      - linea
                      - linea-sepolia
                      - avalanche
                      - avalanche-fuji
                      - gnosis
                      - gnosis-chiado
                      - moonbeam
                      - moonriver
                      - moonbase
                      - fantom
                      - ton
                      - injective
                      - akash
                      - band
                      - dymension
                      - kyve
                      - neutron
                      - terra2
                      - stargaze
                      - tron
                      - evmos
                      - irisnet
                      - juno
                      - lum-network
                      - omniflix
                      - sei
                      - medibloc
                      - passage
                      - quasar
                      - seda
                      - sommelier
                      - shentu
                      - stride
                      - chihuahua
                      - bitsong
                      - persistence
                      - comdex
                      - fetch-ai
                      - humans-ai
                      - ki
                      - likecoin
                      - mars-hub
                      - provenance
                      - quicksilver
                      - saga
                      - ux-chain
                      - kava
                      - starknet
                      - babylon
                      - babylon-testnet
                      - monad-testnet
                      - cronos
                      - world-chain
                  accountId:
                    type: string
                  balances:
                    type: object
                    properties:
                      tokens:
                        type: array
                        items:
                          type: object
                          properties:
                            token:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - TRC10
                                    - TRC20
                                    - ASA
                                    - ERC20
                                    - IBC
                                    - JETTON
                                id:
                                  type: string
                                name:
                                  type: string
                                ticker:
                                  type: string
                                decimals:
                                  type: string
                                contractAddress:
                                  type: string
                              required:
                                - type
                                - id
                                - name
                                - ticker
                                - decimals
                            amount:
                              type: string
                              description: >-
                                Current balance of this token owned by the
                                account. The amount is expressed in the token's
                                smallest unit (based on its decimals).
                          required:
                            - token
                            - amount
                  pagination:
                    type: object
                    properties:
                      nextPage:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: >-
                          Use the token from the previous response to retrieve
                          the next page of results.
                    required:
                      - nextPage
                required:
                  - chainId
                  - accountId
                  - balances
                  - pagination
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````